Bug 1568821 (CVE-2017-13167) - CVE-2017-13167 kernel: sound: a race condition in the kernel sound timer in snd_timer_user_read()
Summary: CVE-2017-13167 kernel: sound: a race condition in the kernel sound timer in s...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-13167
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1288993 1568831 1568836
Blocks: 1568768
TreeView+ depends on / blocked
 
Reported: 2018-04-18 09:44 UTC by Vladis Dronov
Modified: 2019-09-29 14:37 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A race condition was found in the Linux kernel's sound timer code in the snd_timer_user_read() function in the sound/core/timer.c file. An unprivileged attacker can exploit the race condition to cause an out-of-bound access which may lead to a system crash or other unspecified impact. Due to the nature of the flaw, privilege escalation cannot be fully ruled out.
Clone Of:
Environment:
Last Closed: 2018-04-18 10:18:38 UTC


Attachments (Terms of Use)

Description Vladis Dronov 2018-04-18 09:44:38 UTC
A race condition was found in the kernel sound timer code in the snd_timer_user_read() function in the sound/core/timer.c file. An unprivileged attacker can exploit the race condition to cause out-of-bound access which may lead to a system crash or other unspecified impact.  Due to the nature of the flaw, privilege escalation cannot be fully ruled out, although we believe it is unlikely.

References:

https://source.android.com/security/bulletin/pixel/2017-12-01#kernel-components

Upstream fixes:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=c3b1681375dc6e71d89a3ae00cc3ce9e775a8917

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=4dff5c7b7093b19c19d3a100f8a3ad87cb7cd9e7


Note You need to log in before you can comment on or make changes to this bug.